﻿@model SendMailToPlayerViewModel
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
    <h3 id="myModalLabel2" class="text-left">Email Recipient</h3>
</div>

@using (Ajax.BeginForm("SendMailConfirmation", "Communication", null, new AjaxOptions { HttpMethod = "post", OnSuccess = "onSuccessRecipient" }
    , new { @class = "form-items pull-left", @id = "sendMailRecipient" }))
{
    
    <div class="modal-body mail-recipient">
        @Html.ValidationSummary(false)
        <div class="form-item pull-left">
            <div class="steps step2">
                <div class="progress">
                    <div class="bar"></div>
                </div>
                <ul>
                    <li class="done">
                        <span class="img-circle num-step">1</span>
                        <span class="text-step hidden-phone">Content</span>
                    </li>
                    <li class="active">
                        <span class="img-circle num-step">2</span>
                        <span class="text-step hidden-phone">Recipients</span>
                    </li>
                    <li>
                        <span class="img-circle num-step">3</span>
                        <span class="text-step hidden-phone">Delivery</span>
                    </li>
                </ul>
            </div>
            <div class="form-group">
                <div class="form-group pull-left email-to">
                    @Html.HiddenFor(m => m.ClubDomain)
                    @Html.HiddenFor(m => m.Domain)
                    @Html.HiddenFor(m => m.Name)
                    @Html.HiddenFor(m => m.EventType)
                    @Html.HiddenFor(m => m.CategoryId)
                    @Html.HiddenFor(m => m.Mode)
                    @Html.HiddenFor(m => m.Subject)
                    @Html.HiddenFor(m => m.Body)
                    @Html.HiddenFor(m => m.From)
                    @Html.HiddenFor(m=>m.FileNames)
                    @Html.Hidden("nextRecipient", true)
                    @Html.Label("This Email will be sent to all participants of " + Model.Name)

                </div>
                <div class="form-group pull-left content">
                    <em class="player-num">@Html.Label("Total Recipients: " + Model.Emails.Count)</em>
                    @*<a class="" href="#" id="listOfMails">View list of all</a>*@
                    <div id="list" class="pull-left list">
                        <table>
                            <thead class="title">
                                <tr>
                                    <th>Name</th>
                                    <th>To</th>
                                    <th>CC</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach (var item in Model.Emails)
                                {
                                    @Html.Partial("_ViewSendMailRowItem", item)    
                                }
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer text-right">
        <button type="button" class="btn btn-grey loading" id="btnBackRecipient">Back</button>
        <button type="button" class="btn btn-info loading" data-loading-text="Next..." id="btnNextRecipient">Next</button>

    </div>
}
<script type="text/javascript" src="~/Scripts/jquery.validate.min.js"></script>
<script type="text/javascript" src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

<script type="text/javascript">

    $("#btnNextRecipient").on("click", function () {
        $("#nextRecipient").val(true);
        $("#sendMailRecipient").submit();

    });
    $("#btnBackRecipient").on("click", function () {
        $("#nextRecipient").val(false);
        $("#sendMailRecipient").submit();
    });
    $(".loading").click(function () {
        $(this).button("loading");
    });
    // scroll for recipient list
    $('#list').slimscroll({
        height: '300px'
    });

</script>
